/*
 *
 * Реакции
 *
 */


ЗагрузитьРесурсыПодпола = мир =>
{
    const изображения = {
        "лестница": "ресурсы/вещи/лестница.png",
    };
    for (var имя in изображения)
    {
        мир.сцена.load.image(имя, изображения[имя]);
    }
};


// // // //


ЗадатьСтруктуруПодпола = мир =>
{
    function платформаПрыжков(узел) {
        var ограничить = узел.body.checkCollision;
        ограничить.down = false;
        ограничить.left = false;
        ограничить.right = false;
    }

    мир.подпол = {
        полПодпола: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 0,
            y: 1070,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 250,
            visible: true,
        },

        леваяСтенаПодпола: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 0,
            y: 600,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleY: 60,
            visible: false,
        },
        праваяСтенаПодпола: {
            родитель: мир.каркас,
            тип: "платформа",
            x: 2000,
            y: 600,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleY: 60,
            visible: false,
        },

        лестница: {
            родитель: мир.сцена,
            тип: "изображение",
            x: 300,
            y: 590,
            angle: 20,
            texture: "лестница",
            originX: 0,
            originY: 0,
            scaleX: 0.3,
            scaleY: 0.4,
        },

        ступенька1: {
            родитель: мир.платформы,
            тип: "платформа",
            после: платформаПрыжков,
            x: 190,
            y: 970,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 5,
            visible: true,
        },
        ступенька2: {
            родитель: мир.платформы,
            тип: "платформа",
            после: платформаПрыжков,
            x: 225,
            y: 865,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 5,
            visible: true,
        },
        ступенька3: {
            родитель: мир.платформы,
            тип: "платформа",
            после: платформаПрыжков,
            x: 270,
            y: 750,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 5,
            visible: true,
        },
        ступенька4: {
            родитель: мир.платформы,
            тип: "платформа",
            после: платформаПрыжков,
            x: 300,
            y: 690,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 5,
            visible: true,
        },
        полкаПодпола1: {
            родитель: мир.платформы,
            тип: "платформа",
            после: платформаПрыжков,
            x: 600,
            y: 865,
            texture: "основа",
            originX: 0,
            originY: 0,
            scaleX: 35,
            visible: true,
        },
    };
};


// // // //


СоздатьПодпол = мир =>
{
    создатьУзлыСценыПоСтруктуре(мир.подпол);
};


/*
 *
 * Последовательность
 *
 */


мир.разобрать(`
загрузить ресурсы сцены
    загрузить ресурсы подпола
создать сцену
    задать структуру подпола
    создать подпол
`);

